#ifndef _MM2_H_
#define _MM2_H_


// Config

#define SW_VERSION_BASE	0x30

#define CRAPPY_COMPILER // struct byte[0] wird von WinAVR20070525 automatisch mit 0 berschrieben
//#define prog_uchar const u08 PROGMEM

//#define ULTIMATE_BIG_SPEEDCTRL
//#define ULTIMATE_BIG
//#define ULTIMATE
//#define ROLLCUTTER_VERSION
#define KLINGER_VERSION

//#define SWITCH_NAV_DIR // Dreht die File/Mennavigation Up/Down um
#define PANIC_NOTEOFF
//#define SAVE_NOTE_OFF     // Speichert Noten fr Pause-NoteOff
#define EU_CHARSET          // Anderes LCD

#if defined(ULTIMATE)
	//#define BACKLIGHT		// LCD-Hintergrundbeleuchtung im Men einstellbar
    #define CHANNEL_MUTE	// MIDI-Kanalstummschaltfeature
    #define TRANSPOSE		// Transponierfeature
    #define LYRICS			// Lyricfeature
	//#define MIDI_MONITOR	// MIDI-Monitor verfgbar
    #define MIDI_BLIP		// [neu] Anzeige MIDI-Out-Aktivitt
    #define DIR_SUPPORT		// [neu] Untersttzung zum Browsen von Unterverzeichnissen
	#define LFN_SCROLLING	// [neu] Scrollt lange Dateinamen
		#define LFN_USEBUF	// Playbuf hernehmen
	#define KEY_REPEAT		// Taste gedrckt halten ist wie am PC
    #define KEY_REMAP		// [neu] Tastenbelegung neu
	#define DIREKTWAHL		// Wahl eines Songs per Zifferntasten
	#define USE_ALLCTRLOFF	// Sendet AllControllerOff-Nachricht vor Play
	#define RANDOMSONG		// Zufallswiedergabe verfgbar
	#define PLAYLIST		// [neu] Playlist-Untersttzung, erfordert KEY_REMAP
    //#define TEMPO_IN_BPM	// [neu] Aktuelles Tempo wird als bpm angezeigt und kann in 1er-Schritten gendert werden
	#define TRACK_DELAY		// [neu] Pause zwischen den Songs
	#define MANUAL_CALIBRATE// Kalibrierung des Oszillators im Men
	//#define CALIBRATE		// Automatische Kalibrierroutine
	#define REAL_TIME_DT	// [neu] Berechnung der Echtzeit ber den Deltatime-Interrupt

	//#define RC5_DISP		// Debug Displayanzeige

	#define BUFFERED_READ	// Gepuffertes Einlesen von Mididaten bei der Wiedergabe (erhht Timingsprzision)
	//#define BUFFERED_FILEENTRIES
	#define RC5				// IR-Remote-Untersttzung aktivieren
	//#define SD_TIMEOUT	// [neu] Erkennt schlechte SD-Karten
	//	#define SDTIMEOUT 100
	//#define MIDI_TX_BUF	// [neu] Gepufferte MIDI-Ausgabe ber Interrupt
	//#define NOSECTORSEARCH	// Cluster werden nicht aus FAT allokiert (fragmentierte Karten nicht erlaubt)
	#define JAPAN_KANA

	#define NEW_BL			// Alter 1024-Word-Bootloader im Chip
	#define KEY_LR_SWITCHED	// Vertauschte Rechts&Links-Tasten

#elif defined(ULTIMATE_BIG)
    //#define MIDICLOCK
    #define ACCEPT_ENCRYPTION// Verschlsselte Dateien erkennen
	//#define BACKLIGHT		// LCD-Hintergrundbeleuchtung im Men einstellbar
	#define SEND_ALWAYS_CTRL_OFF // fixes problems with midi decoders
	#define NO_RESET_AFTER_PLAY
    //#define THROUGH         // MIDI-Through
    #define CHANNEL_MUTE	// MIDI-Kanalstummschaltfeature
    #define TRANSPOSE		// Transponierfeature
    #define LYRICS			// Lyricfeature
	#define MIDI_MONITOR	// MIDI-Monitor verfgbar
    //#define MIDI_BLIP		// [neu] Anzeige MIDI-Out-Aktivitt
    #define DIR_SUPPORT		// [neu] Untersttzung zum Browsen von Unterverzeichnissen
	#define LFN_SCROLLING_NEW	// [neu] Scrollt lange Dateinamen durch
	#define LFN_SCROLLING	// [neu] Scrollt lange Dateinamen
		#define LFN_USEBUF	// Playbuf hernehmen
	#define KEY_REPEAT		// Taste gedrckt halten ist wie am PC
    #define KEY_REMAP		// [neu] Tastenbelegung neu
	#define DIREKTWAHL		// Wahl eines Songs per Zifferntasten
	#define USE_ALLCTRLOFF	// Sendet AllControllerOff-Nachricht vor Play
	#define RANDOMSONG		// Zufallswiedergabe verfgbar
	//#define PLAYLIST		// [neu] Playlist-Untersttzung, erfordert KEY_REMAP
    //#define TEMPO_IN_BPM	// [neu] Aktuelles Tempo wird als bpm angezeigt und kann in 1er-Schritten gendert werden
	#define TRACK_DELAY		// [neu] Pause zwischen den Songs
	//#define MANUAL_CALIBRATE// Kalibrierung des Oszillators im Men
	//#define CALIBRATE		// Automatische Kalibrierroutine
	#define REAL_TIME_DT	// [neu] Berechnung der Echtzeit ber den Deltatime-Interrupt

	//#define RC5_DISP		// Debug Displayanzeige

	#define BUFFERED_READ	// Gepuffertes Einlesen von Mididaten bei der Wiedergabe (erhht Timingsprzision)
	#define RC5				// IR-Remote-Untersttzung aktivieren
	//#define SD_TIMEOUT	// [neu] Erkennt schlechte SD-Karten
	//	#define SDTIMEOUT 100
	//#define MIDI_TX_BUF	// [neu] Gepufferte MIDI-Ausgabe ber Interrupt
	//#define NOSECTORSEARCH	// Cluster werden nicht aus FAT allokiert (fragmentierte Karten nicht erlaubt)
	#define JAPAN_KANA

	#define NEW_BL			// Neuer 512-Word-Bootloader im Chip
	#define KEY_LR_SWITCHED	// Vertauschte Rechts&Links-Tasten

#elif defined(ULTIMATE_BIG_SPEEDCTRL)
    #define ACCEPT_ENCRYPTION// Verschlsselte Dateien erkennen
	//#define BACKLIGHT		// LCD-Hintergrundbeleuchtung im Men einstellbar
	#define SEND_ALWAYS_CTRL_OFF // fixes problems with midi decoders
	#define NO_RESET_AFTER_PLAY
    //#define THROUGH         // MIDI-Through
    #define CHANNEL_MUTE	// MIDI-Kanalstummschaltfeature
    #define TRANSPOSE		// Transponierfeature
    #define LYRICS			// Lyricfeature
	//#define MIDI_MONITOR	// MIDI-Monitor verfgbar
    #define MIDI_BLIP		// [neu] Anzeige MIDI-Out-Aktivitt
    #define DIR_SUPPORT		// [neu] Untersttzung zum Browsen von Unterverzeichnissen
	#define LFN_SCROLLING_NEW	// [neu] Scrollt lange Dateinamen durch
	#define LFN_SCROLLING	// [neu] Scrollt lange Dateinamen
		#define LFN_USEBUF	// Playbuf hernehmen
	#define KEY_REPEAT		// Taste gedrckt halten ist wie am PC
    #define KEY_REMAP		// [neu] Tastenbelegung neu
	//#define DIREKTWAHL		// Wahl eines Songs per Zifferntasten
	#define USE_ALLCTRLOFF	// Sendet AllControllerOff-Nachricht vor Play
	//#define RANDOMSONG		// Zufallswiedergabe verfgbar
	#define PLAYLIST		// [neu] Playlist-Untersttzung, erfordert KEY_REMAP
    //#define TEMPO_IN_BPM	// [neu] Aktuelles Tempo wird als bpm angezeigt und kann in 1er-Schritten gendert werden
	#define TRACK_DELAY		// [neu] Pause zwischen den Songs
	//#define MANUAL_CALIBRATE// Kalibrierung des Oszillators im Men
	//#define CALIBRATE		// Automatische Kalibrierroutine
	#define REAL_TIME_DT	// [neu] Berechnung der Echtzeit ber den Deltatime-Interrupt

	//#define RC5_DISP		// Debug Displayanzeige

	#define BUFFERED_READ	// Gepuffertes Einlesen von Mididaten bei der Wiedergabe (erhht Timingsprzision)
	#define EXT_SPEEDSIG
	//#define RC5				// IR-Remote-Untersttzung aktivieren
	//#define SD_TIMEOUT	// [neu] Erkennt schlechte SD-Karten
	//	#define SDTIMEOUT 100
	//#define MIDI_TX_BUF	// [neu] Gepufferte MIDI-Ausgabe ber Interrupt
	//#define NOSECTORSEARCH	// Cluster werden nicht aus FAT allokiert (fragmentierte Karten nicht erlaubt)
	#define JAPAN_KANA

	#define NEW_BL			// Neuer 512-Word-Bootloader im Chip
	#define KEY_LR_SWITCHED	// Vertauschte Rechts&Links-Tasten

#elif defined(KLINGER_VERSION)
    #define ACCEPT_ENCRYPTION// Verschlsselte Dateien erkennen
	//#define BACKLIGHT		// LCD-Hintergrundbeleuchtung im Men einstellbar
	#define SEND_ALWAYS_CTRL_OFF // fixes problems with midi decoders
	#define NO_RESET_AFTER_PLAY
    //#define THROUGH         // MIDI-Through
    #define CHANNEL_MUTE	// MIDI-Kanalstummschaltfeature
    #define TRANSPOSE		// Transponierfeature
    #define LYRICS			// Lyricfeature
	//#define MIDI_MONITOR	// MIDI-Monitor verfgbar
    #define MIDI_BLIP		// [neu] Anzeige MIDI-Out-Aktivitt
    #define DIR_SUPPORT		// [neu] Untersttzung zum Browsen von Unterverzeichnissen
	#define LFN_SCROLLING_NEW	// [neu] Scrollt lange Dateinamen durch
	#define LFN_SCROLLING	// [neu] Scrollt lange Dateinamen
		#define LFN_USEBUF	// Playbuf hernehmen
	#define KEY_REPEAT		// Taste gedrckt halten ist wie am PC
    #define KEY_REMAP		// [neu] Tastenbelegung neu
	//#define DIREKTWAHL		// Wahl eines Songs per Zifferntasten
	#define USE_ALLCTRLOFF	// Sendet AllControllerOff-Nachricht vor Play
	#define RANDOMSONG		// Zufallswiedergabe verfgbar
	#define PLAYLIST		// [neu] Playlist-Untersttzung, erfordert KEY_REMAP
    //#define TEMPO_IN_BPM	// [neu] Aktuelles Tempo wird als bpm angezeigt und kann in 1er-Schritten gendert werden
	#define TRACK_DELAY		// [neu] Pause zwischen den Songs
	//#define MANUAL_CALIBRATE// Kalibrierung des Oszillators im Men
	//#define CALIBRATE		// Automatische Kalibrierroutine
	#define REAL_TIME_DT	// [neu] Berechnung der Echtzeit ber den Deltatime-Interrupt

	//#define RC5_DISP		// Debug Displayanzeige

	#define BUFFERED_READ	// Gepuffertes Einlesen von Mididaten bei der Wiedergabe (erhht Timingsprzision)
	//Klinger no speedcontrol: #define EXT_SPEEDSIG
    #define OPTION_PAUSENEXT //menu option pause next song automatically
	#define RC5				// IR-Remote-Untersttzung aktivieren
	//#define SD_TIMEOUT	// [neu] Erkennt schlechte SD-Karten
	//	#define SDTIMEOUT 100
	//#define MIDI_TX_BUF	// [neu] Gepufferte MIDI-Ausgabe ber Interrupt
	//#define NOSECTORSEARCH	// Cluster werden nicht aus FAT allokiert (fragmentierte Karten nicht erlaubt)
	#define JAPAN_KANA

	#define NEW_BL			// Neuer 512-Word-Bootloader im Chip
	#define KEY_LR_SWITCHED	// Vertauschte Rechts&Links-Tasten

#endif


#if defined(NEW_BL)
	#define SW_VERSION	(SW_VERSION_BASE | 0x80)
#else
	#define SW_VERSION	SW_VERSION_BASE
#endif


#endif

